APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT0
		SAY ~(Imoen drifts away from you and walks on in silence.)~ [ MRImRom2 ]
		=
		~(After several minutes pass, she looks lost in her own personal world. She is gazing thoughtfully at some birds that have just taken flight.)~
		IF ~~ THEN REPLY ~(Approach her.)~ GOTO MRLT0-Approach
		IF ~~ THEN REPLY ~(Leave her to her thoughts, admiring how pretty she looks when she is completely oblivious to those around her.)~ EXIT
		IF ~~ THEN REPLY ~(Playfully toss a pebble in her direction to see if you can startle her.)~ GOTO MRLT0-Pebble
	END

	IF ~~ THEN BEGIN MRLT0-Approach
		SAY ~(As you come closer to her, she senses your presence.)~
		=
		~Oh, hi...~
		++ ~(Embrace her from behind) What were you thinking?~ GOTO MRLT0-Approachbird1
		++ ~(Kiss the back of her ear) They are beautiful, aren't they?~ GOTO MRLT0-Approachbird2
		++ ~Quit your foolish bird-watching, I want you to be alert.~ GOTO MRLT0-ApproachAlert
		++ ~Have I told you that you look like a goddess under this light? (Put your hands on her shoulders and kiss her neck tenderly.)~ GOTO MRLT0-Approachgoddess
	END

	IF ~~ THEN BEGIN MRLT0-Approachbird1
		SAY ~Oh, nothing really. Just watchin' the birds...~
		IF ~~ THEN GOTO MRLT0-Approach1
	END

	IF ~~ THEN BEGIN MRLT0-Approachbird2
		SAY ~Yeah, they are...~
		IF ~~ THEN GOTO MRLT0-Approach1
	END

	IF ~~ THEN BEGIN MRLT0-Approachgoddess
		SAY ~Mmmh... yeah, actually. You've been saying that quite a lot lately. (She giggles.)~
		=
		~(Then she looks up again, and points at the birds.)~
		IF ~~ THEN GOTO MRLT0-Approach1
	END

	IF ~~ THEN BEGIN MRLT0-Approach1
		SAY ~They seem so *free* up there... I was wondering what it would be like to be able to fly.~
		++ ~Well... (Kiss her head) if you want I can try to make you 'fly' for a while too?~ GOTO MRLT0-ApproachSex
		++ ~I don't wonder about that anymore. My soul soars every time I have you in my arms.~ GOTO MRLT0-ApproachArms
		IF ~IsValidForPartyDialog("Aerie")~ THEN REPLY ~Hm, better if you don't ask Aerie. She might not take it kindly, don't know why. (Chuckle.)~ GOTO MRLT0-ApproachAerie
		IF ~!IsValidForPartyDialog("Aerie")~ THEN REPLY ~You're a mage, Imoen. Don't you have spells that make you fly?~ GOTO MRLT0-ApproachFly
		++ ~How about you wonder less and stay alert?~ GOTO MRLT0-ApproachAlert
	END

	IF ~~ THEN BEGIN MRLT0-ApproachSex
		SAY ~(She rolls her eyes at you) Smooth, <CHARNAME>, real smooth.~
		= ~I'd prefer to turn down your 'kind offer' for now, thank you. I'm not in that kinda mood.~
		=
		~(She looks up again as the birds fly into the distance.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-ApproachArms
		SAY ~(Imoen rests the top of her head on your chest; a slight chill runs up her body) Do you think of such wonderful things to tell me before you start talking to me, or do they just simply pop into your head?~
		= ~Not that I'm complaining - far from it. And to help keep you motivated...~
		= ~(She turns to face you and runs her fingers through your scalp. Then, leaning into you, she kisses you ardently enough to make you catch your breath. When you part, she turns to look back into the sky, resting in your arms.)~
		= ~(Sighing contentedly, you stand together for a while longer.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-ApproachAerie
		SAY ~(Imoen starts to giggle, but thinks better of it.)~
		= ~Oh, that's cruel, <CHARNAME>. She's very sensitive about her wings, and you know she's suffered a lot.~
		= ~I like that girl, so don't you be harsh with her! (She emphasizes her words with light jab of her elbow in your side.)~
		= ~(You both keep looking skywards until the birds finally fade from view.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-ApproachFly
		SAY ~Yeah, but... I've never used them. Maybe I should. I just don't think it'd be the same though.~
		= ~Oh well... maybe someday I'll find out.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-ApproachAlert
		SAY ~What? Geez, sorry for brightening up your day.~
		=
		~Stupid troll...~
		IF ~~ THEN EXIT
	END

	 
	IF ~~ THEN BEGIN MRLT0-Pebble
		SAY ~(When the little stone hits the top of her head, Imoen glances at the sky and the trees around her, trying to figure out where it came from.)~
		=
		~(Not finding anything out of the ordinary, she goes back to her daydreaming with a slight frown on her face.)~
		++ ~(Approach her with a mischievous smile) Is it raining pebbles again, Imoen?~ GOTO MRLT0-PebbleJoke
		++ ~(Keep throwing little stones. You just love to annoy her.)~ GOTO MRLT0-PebbleKeep
		++ ~(Leave her be. She looks too cute to keep bothering her.)~ EXIT
	END

	IF ~~ THEN BEGIN MRLT0-PebbleJoke
		SAY ~Huh? What? (She comes back to reality and focuses on you.)~
		=
		~(Then she registers what you were asking, and notices the smile on your face.)~
		=
		~Hmph, so it was *you*! That's not very nice, y'know, teasing the girl you love.~
		++ ~Hey, you make fun of me whenever you want...~ GOTO MRLT0-PebbleJoke1
		++ ~Oh c'mon, Immy, it was just a little joke! (Give her a hug.)~ GOTO MRLT0-PebbleJoke2
		++ ~Yes, I know! That's why I did it! (Wink at her.)~ GOTO MRLT0-PebbleJoke3
	END

	IF ~~ THEN BEGIN MRLT0-PebbleJoke1
		SAY ~Well, I'm harmless little Imoen! An' harmless little Imoen does those sorts of things, and no one gets angry with harmless little Imoen, 'cause she's harmless, and she's little!~
		=
		~Now go back to whatever you were doing and let me watch what I want, I command it! (She pushes you away and goes back to her bird-watching.)~
		=
		~(You see her struggling not to smile, though, despite her apparent annoyance.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-PebbleJoke2
		SAY ~Oh, no - don't you "c'mon" me. Leave me alone! And don't call me that, you already know I hate it!~
		=
		~Now go back to whatever you were doing and let me watch what I want, I command it! (She pushes you away and goes back to her bird-watching.)~
		=
		~(You see her struggling not to smile, though, despite her apparent annoyance.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-PebbleJoke3
		SAY ~Gods, yer just like a child sometimes...~
		=
		~Just go back to whatever you were doing and let me watch what I want, I command it! (She turns her back on you and goes back to her bird-watching.)~
		=
		~(You see her struggling not to smile, though, despite her apparent annoyance.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-PebbleKeep
		SAY ~(Confused, she looks around again until she discovers you with a couple stones in a hand and one prepared to be thrown in the other.)~
		=
		~So it was *you*! Anyone ever told you that you can really be immature at times?~
		++ ~H-hey, you are always doing things like this! Why can't I?~ GOTO MRLT0-PebbleJoke1
		++ ~Oh c'mon, Immy, I was just having some fun. (Try to hug her.)~ GOTO MRLT0-PebbleJoke2
		IF ~ReputationGT(Player1,13)
		Gender(Player1,MALE)~ THEN REPLY ~Look who's talking, "I'm bored, let's steal something" girl!~ GOTO MRLT0-MaleGood
		IF ~ReputationGT(Player1,13)
		Gender(Player1,FEMALE)~ THEN REPLY ~Look who's talking, "I'm bored, let's steal something" girl!~ GOTO MRLT0-FemaleGood
		IF ~!ReputationGT(Player1,13)
		Gender(Player1,MALE)~ THEN REPLY ~Look who's talking, "I'm bored, let's steal something" girl!~ GOTO MRLT0-MaleBad
		IF ~!ReputationGT(Player1,13)
		Gender(Player1,FEMALE)~ THEN REPLY ~Look who's talking, "I'm bored, let's steal something" girl!~ GOTO MRLT0-FemaleGood
		++ ~Uh... I'm sorry, ma'am... (look at the ground in shame.)~ GOTO MRLT0-Sorry
	END

	IF ~~ THEN BEGIN MRLT0-MaleGood
		SAY ~Oh yeah? Better that than the "Mister Goody-Two-Shoes Bhaalspawn" boy!~
		++ ~Hah! That was said by someone that thought that 'NeverWinter' was a type of dessert!~ GOTO MRLT0-Neverwinter
		++ ~Oh c'mon Immy, I was just having some fun! (Try to hug her.)~ GOTO MRLT0-PebbleJoke2
		++ ~Uh... I'm sorry, ma'am... (look at the ground in shame.)~ GOTO MRLT0-Sorry
	END

	IF ~~ THEN BEGIN MRLT0-FemaleGood
		SAY ~Oh yeah? Better that than the "Miss Goody-Two-Shoes Bhaalspawn" girl!~
		++ ~Hah! That was said by someone that thought that 'NeverWinter' was a type of dessert!~ GOTO MRLT0-Neverwinter
		++ ~Oh c'mon, Immy, I was just having some fun! (Try to hug her.)~ GOTO MRLT0-PebbleJoke2
		++ ~Uh... I'm sorry, ma'am... (look at the ground in shame.)~ GOTO MRLT0-Sorry
	END


	IF ~~ THEN BEGIN MRLT0-MaleBad
		SAY ~Oh yeah? Better that than the "Mister Evil Scary Bhaalspawn" boy!~
		++ ~Hah! That was said by someone that thought that 'Neverwinter' was a type of dessert!~ GOTO MRLT0-Neverwinter
		++ ~Oh c'mon, Immy, I was just having some fun! (Try to hug her.)~ GOTO MRLT0-PebbleJoke2
		++ ~Uh... I'm sorry, ma'am... (look at the ground in shame.)~ GOTO MRLT0-Sorry
	END

	IF ~~ THEN BEGIN MRLT0-FemaleBad
		SAY ~Oh yeah? Better that than the "Miss Evil Scary Bhaalspawn" girl!~
		++ ~Hah! That was said by someone that thought that 'Neverwinter' was a type of dessert!~ GOTO MRLT0-Neverwinter
		++ ~Oh c'mon, Immy, I was just having some fun! (Try to hug her.)~ GOTO MRLT0-PebbleJoke2
		++ ~Uh... I'm sorry, ma'am... (look at the ground in shame.)~ GOTO MRLT0-Sorry
	END

	IF ~~ THEN BEGIN MRLT0-Neverwinter
		SAY ~That was a long time ago! *You* are the one that thinks that black puddings are actually edible!~
		++ ~Uh, you... you snore!~ GOTO MRLT0-Snore
		++ ~Mm-hmm. This is coming from someone who punched herself in the face, several times.~ GOTO MRLT0Punch
		++ ~Oh c'mon, Immy, I was just having some fun! (Try to hug her.)~ GOTO MRLT0-PebbleJoke2
		++ ~Uh... I'm sorry, ma'am... (look at the ground in shame.)~ GOTO MRLT0-Sorry
	END

	IF ~~ MRLT0Punch
	   SAY ~I was twelve! And sparring with Hull was deceptively HARD!~
	   = ~At least I didn't try to pole-vault the hay pile and end up cryin' like a baby when you landed on the cow pie!~
 	   ++ ~Uh, you... you snore!~ GOTO MRLT0-Snore
		++ ~(Try to exchange insults until she grows tired of it, something you doubt is even possible.)~ GOTO MRLT0-Finale2
		++ ~(Laugh) Oh, alright, alright! Imoen, you win, that was enough.~ GOTO MRLT0-Finale3
		++ ~Oh c'mon, Immy, I was just having some fun! (Try to hug her.)~ GOTO MRLT0-PebbleJoke2
		++ ~Uh... I'm sorry, ma'am... (look at the ground in shame.)~ GOTO MRLT0-Sorry
        END

	IF ~~ THEN BEGIN MRLT0-Snore
		SAY ~And you stink! How long since you last bathed? You smell like an orc's underwear from here!~
		++ ~You... uh-~ GOTO MRLT0-Finale
	END

	IF ~~ THEN BEGIN MRLT0-Finale
		SAY ~And no, the last yuan-ti blood soaking doesn't count. I bet that's the closest it gets for years!~
		= ~And what about your breath? How many times do I have to tell you to stop eating earthworms? I'm sure it's some kinda custom in the gutter you crawled out of, but here in the civilized world, we brush our teeth!~
		= ~I'm certain that's the reason why you *fart* so much! It's bad enough having to hear it but the smell is worse, I assure you. The world would be a lot better off if you managed to control your bowels a little better.~
		= ~And then, the way you...(Imoen really seems to be enjoying herself now and could probably keep this up forever.)~
		++ ~(Try to exchange insults until she grows tired of it, something you doubt is even possible.)~ GOTO MRLT0-Finale2
		++ ~(Laugh) Oh, alright, alright! Imoen, you win, that was enough.~ GOTO MRLT0-Finale3
		++ ~(Sniffle) Imoen... I... I thought you loved me!~ GOTO MRLT0-Finale4
	END

	IF ~~ THEN BEGIN MRLT0-Finale2
		SAY ~(You try to keep up with her as the insults get more and more personal and twisted. Imoen displays such a broad repertoire that you finally can't think of more crazy things to tell her.)~
		=
		~Hahaaaah, I *won*! Hey, you're getting better at this. You weren't this good when we were younger.~
		=
		~(She runs over to you and plants a big, wet kiss on your cheek) Mmmuah! You're so sweet, letting me torment you like this. You really made my day! (She kisses your lips and then wanders off, humming softly and look up into the sky again.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-Finale3
		SAY ~And just the way you walk, you... huh? Why are you stopping, I was having fun! (She pouts.)~
		=
		~Fine then, if you're that chicken, just go back to whatever you were doing and let me watch what I want, I command it! (She pushes you away and goes back to her bird-watching.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-Finale4
		SAY ~And just the way you walk, you...~
		=
		~Huh? (She blinks repeatedly in disbelief) Of course I do, you dumbhead! (She giggles) I was just having some fun!~
		=
		~It's been a long time since we last 'argued' like that, y'know. I forgot how fun it is to see your little brain overheat!~
		=
		~Anyways - go back to whatever you were doing and let me watch what I want, I command it! (She pushes you away and goes back to her bird-watching.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT0-Sorry
		SAY ~Good! You oughta be!~
		= ~Now be a good little <PRO_GIRLBOY>, go back to whatever you were doing and let me watch what I want, I command it! (She pushes you away and goes back to her bird-watching.)~
		IF ~~ THEN EXIT
	END


	/* LoveTalk 1 */

	/* Must be inside a city */

	IF ~~ THEN BEGIN MRLT1
		SAY ~(Imoen grins at you, guessing your intentions) Hmm, feelin' mushy today, arentcha?~ [ MRImRom3 ] 
		IF ~~ THEN REPLY ~(In answer, take her hand in yours and lovingly kiss it while staring into her pristine eyes.)~ GOTO MRLT1-2
		IF ~~ THEN REPLY ~Who wouldn't, Imoen? (Give her a quick kiss.)~GOTO MRLT1-Kiss
		IF ~~ THEN REPLY ~(Act cute) Well, yeah...~ GOTO MRLT1-2
		IF ~~ THEN REPLY ~'Mushy' wouldn't be the word. Better say 'hot for your bones', babe! (Pull her towards you and assault her with a rough smooch.)~ GOTO MRLT1-Hot
		IF ~~ THEN REPLY ~Well, not really. Just wanted to see if you're alright.~ GOTO MRLT1-2
		IF ~~ THEN REPLY ~Nope. Not at all. Let's go on.~ GOTO MRLT1-Exit
	END

	IF ~~ THEN BEGIN MRLT1-Exit
		SAY ~Oh... (She pouts) Alright.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT1-Exit2
		SAY ~Oh... (She pouts a bit, then sighs heavily) Alright.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT1-2
		SAY ~(Imoen smiles at that) Oh, you're so lovely! Come here! (She takes your face in her hands and gives you a long kiss on the lips.)~
		=
		~(She puts her arm around your waist and snuggles up beside you, resting her head on your shoulder.)~
		=
		~Let's walk like this. I wanna be close to you.~
		++ ~More than pleased, 'Your Sugarness'!~ GOTO MRLT1-Sugarness
		++ ~But Imoen, everyone is staring at us.~ GOTO MRLT1-Staring
		++ ~I don't think that'd be particularly appropriate.~ GOTO MRLT1-Exit2
	END

	IF ~~ THEN BEGIN MRLT1-Sugarness
		SAY ~(Imoen laughs heartily at her new title and kisses your shoulder.)~
		=
		~(You walk through the streets in this fashion, enjoying the contact of her body.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT1-Staring
		SAY ~So let them! Let 'em rot with jealousy!~
		=
		~(You walk through the streets in this fashion, enjoying the contact of her body.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT1-Hot
		SAY ~W-wow! (Imoen isn't fast enough - or doesn't really try - to avoid your embrace. She relaxes in your arms, letting you lift her off her feet and kiss her as you please.)~
		=
		~(In the middle of the kiss however, she becomes the aggressor. She seems to come alive and clings to you, her hands begin to massage your back and shoulders, returning an even more ardent kiss.)~
		=
		~(Your lips part, and she smiles impishly) There you go!~
		=
		~So 'hot for my bones', huh? What kind of expression is that? Doesn't sound very romantic.~
		=
		~(She puts her arm around your waist and snuggles up beside you, resting her head on your right shoulder.)~
		=
		~Let's walk like this. I wanna be close to you.~
		++ ~More than pleased, 'Your Sugarness'!~ GOTO MRLT1-Sugarness
		++ ~But Imoen, everyone is staring at us.~ GOTO MRLT1-Staring
		++ ~I don't think that'd be particularly appropriate.~ GOTO MRLT1-Exit2
	END

	IF ~~ THEN BEGIN MRLT1-Staring2
		SAY ~Well, that didn't seem to bother ya when you threw yourself at me like that!~
		=
		~It's too late, now you have to obey me! (She giggles and pinches your rear, just to make her point.)~
		=
		~(You walk through the streets in this fashion, enjoying the contact of her body.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT1-Kiss
		SAY ~(Your kiss is received willingly, her blissful expression one that only true love and happiness can bring.)~
		=
		~(Wrapping her arms around your neck, she kisses your again) Forgive me but I feel *very* touchy-feely right now, <CHARNAME>.~
		=
		~(She puts her arm around your waist and snuggles up beside you, resting her head on your right shoulder.)~
		=
		~Let's just walk like this. I want to feel close to you.~
		++ ~More than pleased, 'Your Sugarness'!~ GOTO MRLT1-Sugarness
		++ ~But Imoen, everyone is staring at us.~ GOTO MRLT1-Staring
		++ ~I don't think that'd be particularly appropriate.~ GOTO MRLT1-Exit2
	END

	IF ~~ THEN BEGIN MRLT1-Appropriate
		SAY ~Please? C'mon, do it for me!~
		++ ~Oh, alright, you win.~ GOTO MRLT1-Appropriate2
		++ ~I'm not in the mood.~ GOTO MRLT1-Exit2
	END

	IF ~~ THEN BEGIN MRLT1-Appropriate2
		SAY ~(Imoen purrs with pleasure, cuddling against your arm.)~
		=
		~(You walk through the streets in this fashion, enjoying the contact of her body.)~
		IF ~~ THEN EXIT
	END


	/* LoveTalk 2 */

	/* Must trigger at night */

	IF ~~ THEN BEGIN MRLT2
		SAY ~(As you approach, Imoen smiles and sheepishly kisses your nose) All this darkness scares me, my good <PRO_LADYLORD>. Couldst thou be my light and allay my fears?~ [ MRImRom3 ] 
		IF ~~ THEN REPLY ~At once, my fair lady. (Protectively hold her tight in your arms, kissing her while you do so.)~ GOTO MRLT2-Fair
		IF ~~ THEN REPLY ~Of course! (Bend her backwards over your arms, supporting her weight, and bestow upon her a most passionate smooch.)~ GOTO MRLT2-Course
		IF ~~ THEN REPLY ~How could this humble servant alleviate thy pain?~ GOTO MRLT2-Humble
		IF ~~ THEN REPLY ~Hmm, I'll try! (Slide your arms around her waist and hold her tenderly.)~ GOTO MRLT2-Fair
		IF ~~ THEN REPLY ~Uh, does that mean you want to have sex? 'Cause if you do, I'm all for that.~ GOTO MRLT2-Sex
	END

	IF ~~ THEN BEGIN MRLT2-Fair
		SAY ~(She sigh in delight, enjoying your contact. Reassured by your presence, she buries her face in your chest.)~
		=
		~I knew you could...~
		=
		~(She closes her eyes to take pleasure in these few seconds in your arms, then reluctantly pulls away) We better get going...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT2-Course
		SAY ~(Surprised by your quick maneuver, her eyes go wide as she feels her balance shift.)~
		=
		~(However, as her mouth begins to respond to yours, you can tell she is enjoying this... very much.)~
		=
		~W-wow! (She smiles dreamily at you) You should do that more often...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT2-Humble
		SAY ~Hmm, if I may be so bold as to... demonstrate? (She comes even closer to you, takes your face in her hands and then gently kisses your mouth.)~
		=
		~(Her hands slide around to the back of your neck and head, nails running through your skalp in shiver-inducing paths.)~
		=
		~(The kiss ends, and she looks into your eyes) How about that, huh?~
		=
		~(She giggles) Well, that's enough for now, can't dole it out all at once...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT2-Sex
		SAY ~Huh? You sex-obsessed <PRO_RACE>, can't you be a little more romantic?~
		=
		~Maybe like... *this*? (Even though you outweigh Imoen, she bends you backwards over her arm, easily supporting you. Imoen is surprisingly strong for her size!)~
		=
		~(She stands you back up and licks her lips, pleased with the results.)~
		=
		~Well, learn from that!~
		IF ~~ THEN EXIT
	END

	/* LoveTalk 3 */

	/* Must trigger around sunset time, whenever that is, in the outdoors/forest */

	IF ~~ THEN BEGIN MRLT3
		SAY ~(You get close to Imoen and embrace her from behind. She is gazing at the fading sun behind the canopy. Peering over her shoulder, you look down inside her tunic and enjoy for a brief moment an even more spectacular sight.)~ [ MRImRom1 ]
		IF ~~ THEN DO ~ActionOverride(Player1,SetDialog("Player1"))~ GOTO MRLT3-2
	END

	IF ~~ THEN BEGIN MRLT3-2
		SAY ~It's beautiful, isn't it? I love the forest at dusk. Everything turns orange and red, the songs of the birds fade to be replaced by the chorus of crickets...~
		=
		~It always make me feel kinda sad... but in a good way, y'know?~
		++ ~A good sadness?~ GOTO MRLT3-Sad
		++ ~(Murmur while still looking down at her smooth white curves) Yes, incredibly beautiful. This light provides the most intriguing... darkness.~ GOTO MRLT3-3
		++ ~The day is dying, after all. Want to establish camp here?~ GOTO MRLT3-3Camp
		++ ~(Just lovingly kiss the back of her ear.)~ GOTO MRLT3-Kiss
		++ ~It's not beautiful at all, and I'm not interested either.~ GOTO MRLT3-Exit
	END

	IF ~~ THEN BEGIN MRLT3-Exit
		SAY ~Fine. Then go kill dinner or something and let me enjoy the view alone.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT3-Kiss
		SAY ~(You can feel a chill run down her spine. You know how much she loves that.)~
		IF ~~ THEN GOTO MRLT3-3
	END

	IF ~~ THEN BEGIN MRLT3-Sad
		SAY ~I dunno, it's like... like when I climbed to the top of the walls of Candlekeep to watch the sunset.~
		=
		~It felt sad, being up there all alone... but it was so beautiful all the same. I don't know how to describe it.~
		IF ~~ THEN GOTO MRLT3-3
	END

	IF ~~ THEN BEGIN MRLT3-3
		SAY ~Mmh... (She rests her head on your shoulder. The soft breeze that moves through the forest brushes a lock of Imoen's hair against your face, tickling your nose.)~
		=
		~Perfect moments like this are hard to come by. Let's stay like this a little while, please?~
		++ ~I was thinking of setting camp here, actually.~ GOTO MRLT3-3Camp
		++ ~(Keep kissing her softly, holding her tight to your heart.)~ GOTO MRLT3-3Kiss
		++ ~I'd like to, but we don't have the time right now. We'll come back here another day, I promise.~ GOTO MRLT3-Day
		++ ~There's no time to waste like this. Let's go.~ GOTO MRLT3-3Waste
	END

	IF ~~ THEN BEGIN MRLT3-3Waste
		SAY ~Whaddya mean, waste? Are you by any chance saying that spending a few moments with me is a waste of your time?~
		++ ~Exactly. Move on.~ GOTO MRLT3-3Waste2
		++ ~N-no, of course not, how could you think that? I meant that... uh... just that we need to get going?~ GOTO MRLT3-3Waste3
	END
		
	IF ~~ THEN BEGIN MRLT3-3Waste2
		SAY ~Jerk. I know *someone* who's sleeping alone tonight!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT3-3Waste3
		SAY ~Hmph... yeah, sure you meant that.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT3-Day
		SAY ~Oh, alright... (With a last glance to the sky, Imoen starts walking again.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT3-3Kiss
		SAY ~(She savours each of your kisses in ecstasy. You feel her chest expand and contract against yours, every beat of her heart pumping a bit more of paradise through your veins.)~
		++ ~(Whisper into her ear) May we rest in this place, my lady?~ GOTO MRLT3-3Camp
		++ ~It hurts to say we have to continue our travels...~ GOTO MRLT3-Day
	END

	IF ~~ THEN BEGIN MRLT3-3Camp
		SAY ~Mmmh... sounds great.~
		=
		~I'm not very tired. Guess I'll just have to find some way to amuse myself 'til I get sleepy.~
		=
		~(She turns to face you; a naughty smile on her lips, a suggestive look in her eyes, and a sensuous tone in her voice.)~
		=
		~Got any ideas?~
		+ ~Gender(Player1,MALE)~ + ~Oh, I'm sure I can think of something... given a little inspiration.~ GOTO MRLT3-Sexm
		+ ~Gender(Player1,FEMALE)~ + ~Oh, I'm sure I can think of something... given a little inspiration.~ GOTO MRLT3-Sexf
		++ ~Uh... don't know, a sleep spell?~ GOTO MRLT3-SexSleep
		+ ~Gender(Player1,MALE)~ + ~(Just grin back at her knowingly.)~ GOTO MRLT3-Sexm
		+ ~Gender(Player1,FEMALE)~ + ~(Just grin back at her knowingly.)~ GOTO MRLT3-Sexf
		++ ~(Release her) Imoen! Behave yourself, you're becoming too... too *naughty*!~ GOTO MRLT3-Naughty
		++ ~Oh, Imoen, I'm not really in the mood for that tonight.~ GOTO MRLT3-SexSleep2
	END

	IF ~~ THEN BEGIN MRLT3-Sexm
		SAY ~(Imoen licks her lips and joins her mouth with yours. Her tongue provides a plethora of ideas for the night to come as her breasts press against your chest.)~
		IF ~~ THEN GOTO MRLT3-Sex2
	END

	IF ~~ THEN BEGIN MRLT3-Sexf
		SAY ~(Imoen licks her lips and joins her mouth with yours. Her tongue provides a plethora of ideas for the night to come as her breasts press against yours.)~
		IF ~~ THEN GOTO MRLT3-Sex2
	END

	IF ~~ THEN BEGIN MRLT3-Sex2
	 SAY ~(She steps back, her hands holding yours against her hips. Lost inside your eyes, her gaze invites you to love her until Lathlander lights the dawn...)~
		IF ~NumInPartyGT(2)~THEN EXTERN PLAYER1 MRLT3-Sex2Extern
		IF ~!NumInPartyGT(2)~THEN EXTERN PLAYER1 MRLT3-Sex2Externa
	END

        IF ~~ THEN BEGIN MRLT3-SexSleep
		SAY ~I was thinking of something rather... different.~
		IF ~Gender(Player1,MALE)~ THEN GOTO MRLT3-Sexm
		IF ~Gender(Player1,FEMALE)~ THEN GOTO MRLT3-Sexf
        END

	IF ~~ THEN BEGIN MRLT3-SexSleep2
		SAY ~Ooh... well, if that's the case, then let's just sleep in each other's arms. I love that too, y'know.~
		IF ~NumInPartyGT(2)~ THEN REPLY ~Of course. (To the rest of the group) People, we rest here tonight. Let's have something to eat and go to bed.~ GOTO MRLT3-SexSleep3
		IF ~!NumInPartyGT(2)~ THEN REPLY ~Of course. Let's have something to eat and go to bed.~ GOTO MRLT3-SexSleep3
		++ ~Nope. You kicked me way too much the last time we did that!~ GOTO MRLT3-Kick
	END

	IF ~~ THEN BEGIN MRLT3-Kick
		SAY ~Oh c'mon, I'll be careful! Pretty, pretty please, with sugar on top and banana cream over it!~
		=
		~'Sides, you act like you have a choice. I'm sleepin' with ya - like it or not!~
		IF ~~ THEN DO ~ StartCutSceneMode() StartCutScene("Cut34a")~ EXIT
	END

	IF ~~ THEN BEGIN MRLT3-SexSleep3
		SAY ~(She kisses you once more - this time more innocently, on the cheek) Thank you, <CHARNAME>.~
		IF ~~ THEN DO ~ StartCutSceneMode() StartCutScene("Cut34a")~ EXIT
	END

	IF ~~ THEN BEGIN MRLT3-Naughty
		SAY ~What? You know you *love* it!~
		++ ~Well, sometimes...~ GOTO MRLT3-3Waste2
		++ ~No, not like that! Where did your innocence go?~ GOTO MRLT3-Naughty2
	END

	IF ~~ THEN BEGIN MRLT3-Naughty2
		SAY ~(Imoen frowns darkly, her face quickly turning red.)~
		=
		~I've killed dozens of people, been tortured, starved, beaten and abused, died multiple times and revived. I've come to terms with loving my jerk of a Bhaalspawn <PRO_BROTHERSISTER>, takin' a crap all over what I grew up believing. If you're lookin' for innocence, you're looking for it in the wrong place.~
		=
		~Just sleep by yourself tonight, you hypocritical turd-brain. Let's see how long it is before you come crawling back begging me for affection!~
		=
		~(She storms off into the forest. Although she returns about an hour later, she pointedly ignores you for the rest of the evening.)~
		IF ~~ THEN DO ~ StartCutSceneMode() StartCutScene("Cut34a")~ EXIT
	END

	IF ~~ THEN BEGIN MRLT3-4
		SAY ~(Imoen looks at you and smiles brightly.)~
		IF ~~ THEN DO ~ StartCutSceneMode() StartCutScene("Cut34a")~EXIT
	END
END


APPEND PLAYER1
	IF ~~ THEN BEGIN MRLT3-Sex2Extern
		SAY ~(Holding hands, you go back to where the rest of the party is sitting, and prepare everything to spend the night there.)~
		IF ~~ THEN EXTERN IMOEN2J MRLT3-4
	END

	IF ~~ THEN BEGIN MRLT3-Sex2Externa
		SAY ~(Holding hands, you look for a comfortable place to spend the night.)~
		IF ~~ THEN EXTERN IMOEN2J MRLT3-4
	END
END

/* LoveTalk 4 */

/* Must trigger in a dungeon/sewer environment */
APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT4
		SAY ~(Imoen glances at her surroundings) This place is so dark... it gives me the creeps.~ [ MRImRom3 ]
		IF ~~ THEN DO ~ActionOverride(Player1,SetDialog("Player1"))~ GOTO MRLT4-2
	END

	IF ~~ THEN BEGIN MRLT4-2
		SAY ~And the prospect of being here during the night makes it even worse. Do we always have to crawl through dungeons like this?~
		=
		~I'm not in a very romantic mood right now, y'know? How 'bout we leave it for later, when we're outta here?~
		++ ~Of course, but I just wanted to enjoy some time with you. Just cuddle very close, if you feel like it? We'll comfort each other.~ GOTO MRLT4-Cuddle
		++ ~Your wishes are orders to me, Your Cherryness!~ GOTO MRLT4-Cherry
		++ ~Oh, but I wanted it now!~ GOTO MRLT4-Now
	END

	IF ~~ THEN BEGIN MRLT4-Cuddle
		SAY ~(Imoen smiles with affection) Alright, I'm always in the mood for that.~
		IF ~~ THEN EXTERN PLAYER1 MRLT4-Cuddle
	END

	IF ~~ THEN BEGIN MRLT4-Cherry
		SAY ~(Imoen giggles, amused by your words.)~
		=
		~You are just too cute when you say things like that.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT4-Now
		SAY ~Hey, gimme a break... I can't get aroused in every situation like *you* do!~
		IF ~~ THEN EXIT
	END
END

APPEND PLAYER1
	IF ~~ THEN BEGIN MRLT4-Cuddle
	SAY ~(You sit with your backs against the wall, draping your arms around one another's waist. The soothing warmth is enough to keep the cold and damp of the dungeon at bay.)~
 = ~(She leans her head on your shoulder and sighs. Lines of tension ease from her face, and for a moment she seems to completely relax by your side. Even in the darkest of places, your companionship is a balm for the senses.)~
	= ~(After resting some time in blissful silence, you both come back to the real world... but now, still holding her hand as you stand up, it has somehow become a little less bleak.)~
	IF ~~ THEN EXIT
	END
END


/* LoveTalk 5 */

/* Must trigger in late afternoon, anywhere that's not inside a building? */
APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT5
		SAY ~(Imoen waits until you get close and gaily throws herself into your arms.)~ [ MRImRom4 ]
		=
		~Hey, <CHARNAME>, it's getting dark... when're we actually gonna rest somewhere comfortable? Y'know, like an inn or something? Like *normal* people?~
		IF ~~ THEN REPLY ~Good idea! Let's head for the nearest inn.~ DO ~ ActionOverride(Player1,SetDialog("Player1"))~GOTO MRLT5-Inn
		IF ~~ THEN REPLY ~Huh? What do you mean?~ DO ~ActionOverride(Player1,SetDialog("Player1"))~GOTO MRLT5-Ground
		IF ~~ THEN REPLY ~You don't like sleeping on cold, bare dirt? Why ever not?~ DO ~ActionOverride(Player1,SetDialog("Player1"))~GOTO MRLT5-Ground
		IF ~~ THEN REPLY ~Rooms cost money, Imoen.~ DO ~ActionOverride(Player1,SetDialog("Player1"))~GOTO MRLT5-Cost
		IF ~~ THEN REPLY ~Not right now. Get off me.~ DO ~ ActionOverride(Player1,SetDialog("Player1"))~GOTO MRLT5-Exit
	END

	IF ~~ THEN BEGIN MRLT5-Exit
		SAY ~Ohhh, I'm not cute anymore? (She pouts, puppy eyes weighing seven tons on your conscience.)~
		++ ~Oh, alright. Let's get to the nearest inn...~ GOTO MRLT5-Inn
		++ ~What do you have against this perfectly serviceable ground?~ GOTO MRLT5-Ground
		++ ~Imoen, rooms are expensive.~ GOTO MRLT5-Cost
		++ ~I'm not in the mood, Imoen! Cut it out!~ GOTO MRLT5-Exit2
	END

	IF ~~ THEN BEGIN MRLT5-Exit2
		SAY ~Sheesh. Who peed in your waterskin?~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT5-Cost
		SAY ~Oh, c'mon, they cost a tenth of a tenth of a *tenth* of what we have! And I don't think that's much, do you?~
		++ ~Oh, alright. Let's get to the nearest inn.~ GOTO MRLT5-Inn
		++ ~But... I like sleeping on the ground!~ GOTO MRLT5-Ground
		++ ~The answer is no. Sorry.~ GOTO MRLT5No
		++ ~I'm not in the mood, Imoen! Cut it out!~ GOTO MRLT5-Exit2
	END
	
	IF ~~ MRLT5No
	   SAY ~But... but!~
	   = ~(Imoen huffs, stomping one foot on the ground) You skimpy cheapskate, you...~
	   IF ~~ THEN EXIT
        END

	IF ~~ THEN BEGIN MRLT5-Ground
		SAY ~Are you *serious*? Tell me you're not serious, 'cause if you're serious, I'm gonna give you a serious kick in your butt!~
		=
		~Just imagine - fresh sheets, a matress, a water basin...~
		=
		~Us together in the bed...~
		++ ~Oh, alright. Let's get to the nearest inn.~ GOTO MRLT5-Inn
		++ ~The answer is no. Sorry.~ GOTO MRLT5No
		++ ~I'm not in the mood, Imoen! Cut it out!~ GOTO MRLT5-Exit2
	END

	IF ~~ THEN BEGIN MRLT5-Inn
		SAY ~Awesome! That's what I wanted to hear! (She hurriedly kisses your cheek, jumping with excitement.)~
		=
		~Blankets - *perfumed* blankets! White sheets, a room - a room all to myself!~
		=
		~Oh, and you of course, yeah. I'll need someone to rub my back, y'know.~
		IF ~~ THEN GOTO MRLT5-Inn2
	END

	IF ~~ THEN BEGIN MRLT5-Inn2
		SAY ~(She keeps talking to herself) I want the nicest room they have, with nice furniture, paintings, a bathtub... ooh, a bath! Mmm, a bath with <CHARNAME>...~
		= ~(Imoen is practically bouncing as she walks, her daydreams drawing a pretty smile on her lips.)~
		IF ~~ THEN DO ~SetGlobal("MRQuality5Sleep","GLOBAL",1) ~ EXIT
	END

	IF ~Global("MRQuality5Sleep","GLOBAL",2)~ THEN BEGIN MRLT5-AfterRest
		SAY ~Aaah... (Imoen stretches) last night was great!~
		=
		~(She positions herself behind you and unapologetically grabs your butt) And I'm not just talkin' about the bed, sweetcheeks!~
		=
		~Mm-hmm, what a wonderful way to start the day.~
		IF ~~ THEN DO ~SetGlobal("MRQuality5Sleep","GLOBAL",3)~ EXIT
	END
END

/* LoveTalk 6 */

/* Must trigger at night, in a forest */
APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT6
		SAY ~(You approach Imoen and notice her uneasy, spooked expression.)~
		=
		~<CHARNAME>, did you hear that?~ [ MRImNig2 ]
		=
		~It's like- like heavy breathing. It's coming from- from everywhere.~
		IF ~~ THEN REPLY ~I hear nothing out of the ordinary.~ GOTO MRLT6-Nothing
		IF ~~ THEN REPLY ~Don't worry about it. I'll protect you!~ GOTO MRLT6-Protect
	END

	IF ~~ THEN BEGIN MRLT6-Protect
		SAY ~No, I'm serious! It's getting louder... it's- it's coming closer!~
		++ ~Um, I don't hear a thing, Imoen.~ GOTO MRLT6-Nothing
		++ ~Are you alright? You're worrying me.~ GOTO MRLT6-Nothing
		++ ~Nonsense. you are hallucinating.~ GOTO MRLT6-Nothing
	END

	IF ~~ THEN BEGIN MRLT6-Nothing
		SAY ~Ssshh - can't you hear it? It's so near now!~
		=
		~(You notice a strange shine to Imoen's eyes. Her hands start to glow with magic as she prepares a spell.)~
		++ ~Imoen? There's nothing out there, calm yourself.~ GOTO MRLT6-Mare1
                ++ ~This is a prank, isn't it. I'm not falling for it.~ GOTO MRLT6-Mare1
		++ ~Uh-oh... better stay alert just in case!~ GOTO MRLT6-Mare2
	END

	IF ~~ THEN BEGIN MRLT6-Mare2
		SAY ~It's...~
		IF ~~ THEN GOTO MRLT6-Mare1
	END

	IF ~~ THEN BEGIN MRLT6-Mare1
		SAY ~It's there! (She points to the west.)~ 
		IF ~~ THEN DO ~ClearAllActions()
		StartCutSceneMode()
		StartCutScene("LuvCut2")~ EXIT
	END

	IF ~Global("MRLT6Nightmare","GLOBAL",1)~ THEN BEGIN MRLT6-4
		SAY ~I... I... (Imoen's breath is a visible cloud in the chill darkness of the forest.)~
		IF ~~ THEN DO ~SetGlobal("MRLT6Nightmare","GLOBAL",2)~ GOTO MRLT6-5
	END

	IF ~~ THEN BEGIN MRLT6-5
		SAY ~There was... there was a...~
		++ ~(Quickly take her in your arms, calming her with gentle reassurances.)~ GOTO MRLT6-7
		++ ~What happened to you? You're worrying me.~ GOTO MRLT6-6
		++ ~Are you crazy or what?~ GOTO MRLT6-6
		++ ~I'm still not falling for this prank.~ GOTO MRLT6-6
		++ ~Agh, I thought we were being attacked! Don't do that again!~ GOTO MRLT6-6
	END

	IF ~~ THEN BEGIN MRLT6-6
		SAY ~I- I don't... the...~
		++ ~(Seeing that words do nothing, you carefully hold her in your arms to calm her down.)~ GOTO MRLT6-7
		++ ~I wish you'd stop trying to prank me like this.~ GOTO MRLT6-7Forget
		++ ~Snap out of it, Imoen! It's over, forget it!~ GOTO MRLT6-7Forget
	END

	IF ~~ THEN BEGIN MRLT6-7
		SAY ~(Imoen's heart is racing. She leans her head to your chest, eyes wide, sunken, haunted. Her hands rest on your waist, holding on to you for support.)~
		=
		~(With agonizing slowness, her breath returns to normal and her pounding heart resumes its normal rate.)~
		=
		~<CHARNAME>...~ [ MRImRom5 ] 
		=
		~<CHARNAME> What's happening to me?~
		=
		~What *was* that? So real... overwhelming my ears, like a- a booming thump, and scratching whispers beneath. The shadows grew darker and longer and... and there's still darkness at the edge of my vision.~
		=
		~I just... I couldn't control myself. What's happening to me?~
		++ ~I don't know, Imoen. It was as if you were suddenly another person.~ GOTO MRLT6-7Dunno
		++ ~You pointed west. Directly toward Spellhold.~ GOTO MRLT6-7Spellhold
		++ ~If you don't know, imagine how confused I am!~ GOTO MRLT6-7Dunno
		++ ~Simply forget about it. We should get going.~ GOTO MRLT6-7Forget
	END

	IF ~~ THEN BEGIN MRLT6-7Forget
		SAY ~<CHARNAME>! (Imoen regards you with intensity, eyes sunken and haunted) I still feel a horrible buzz in my head, there's darkness on the edge of my vision and your shadow seems to be *spreading further*. This is serious! I can't make it just go 'poof' by snapping my fingers!~
		++ ~I don't know, Imoen. It was as if you were suddenly another person.~ GOTO MRLT6-7Dunno
		++ ~You pointed west. Directly toward Spellhold.~ GOTO MRLT6-7Dunno
		++ ~If you don't know, imagine how confused I am!~ GOTO MRLT6-7Dunno
		++ ~(Release her) Then find a way to do it. You're showing far too much weakness for my taste.~ GOTO MRLT6-7Weak
	END
		
	IF ~~ THEN BEGIN MRLT6-7Weak
		SAY ~(She pushes you away, outraged) SORRY, <CHARNAME>! Sorry for wasting your time like this! It won't happen again, I promise!~
		=
		~(Imoen turns away and, blinded by tears, runs into the dark forest.)~
		=
		~(Good. You won't see that weakling again.)~
		IF ~~ THEN DO ~
		LeaveParty()
		EscapeArea() ~
		EXIT
	END

	IF ~~ THEN BEGIN MRLT6-7Dunno
		SAY ~I- I just don't...~
		=
		~(Tears start running down her cheeks) Why? Why can't I make it go away? (Trembling in your arms, Imoen's body is racked by mournful sobs) Why won't it disappear? I want it gone! I want it out of my head!~
		=
		~Irenicus messed me up good. I didn't deserve that, I didn't hurt anyone that didn't *ask* for it. Now it's all broken up in there. What if I can't fix it? What if all the crap he did haunts me forever?~
                = 
                ~What can I do, <CHARNAME>?~
		++ ~Imoen... I'd give just about anything to know. I can't stand seeing you suffer like this.~ GOTO MRLT6-7Spellhold
		++ ~I wish I knew. We can only keep going forward, and hope to heal.~ GOTO MRLT6-7Spellhold
		++ ~Maybe when I tear Irenicus apart with my bare hands those worries will vanish.~ GOTO MRLT6-7Spellhold
		++ ~I don't know. But I think that the sooner we get to Irenicus and finish this whole thing, the sooner you will move on.~ GOTO MRLT6-7Walk
		++ ~(Release her) Dwelling on such stupid things only slows us down. Don't be weak. Either get over this, or just shut up.~ GOTO MRLT6-7Weak
	END

	IF ~~ THEN BEGIN MRLT6-7Walk
		SAY ~Y- you're right. Better if we go on. I'm better, now. Whatever it was, it's over.~
		=
		~(She sniffles, wiping away her tears with the heel of her hand) I'm sorry.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT6-7Spellhold
		SAY ~(Imoen merely curls further into you) Just... hold me.~
		=
		~The closer I am to you, the more distant those things seem.~
		++ ~(Do as she says with pleasure.)~ GOTO MRLT6-7Cuddle
		++ ~I love you, Imoen. Always remember that.~ GOTO MRLT6-8
		++ ~I exist only to please every one of your wishes.~ GOTO MRLT6-8
		++ ~Imoen, I'd love to, but...~ GOTO MRLT6-8
		++ ~(Release her) I'm not here to be your healer. Don't be so weak - this is pathetic! Either get over it by yourself, or just shut up.~ GOTO MRLT6-7Weak
	END

	IF ~~ THEN BEGIN MRLT6-8
		SAY ~Shh, please, no words, just for a little while...~
		IF ~~ THEN GOTO MRLT6-7Cuddle
	END

	IF ~~ THEN BEGIN MRLT6-7Cuddle
		SAY ~(You stand there, holding her close. She burrows even further, as if she just wants to disappear into you.)~
		++ ~(You kiss her head softly, to give further comfort to her aching spirit.)~ + MRLT6-8End
		++ ~(Keep holding her in silence, enjoying the moment.)~ GOTO MRLT6-8End
		++ ~(Keep holding her, wondering how much longer this will last.)~ GOTO MRLT6-8End
		++ ~(Gently nudge her out to arms length) Are you better now, Imoen? I'm really sorry, but we need to get moving already.~ GOTO MRLT6-7Walk
		++ ~(Release her) That's it, I can't stand it anymore. You are pathetic and weak, and I want you to shut your mouth and suck it up.~ GOTO MRLT6-7Weak
	END

	IF ~~ THEN BEGIN MRLT6-8End
		SAY ~(After a while, she sighs and slowly steps away from you) Thanks. That helped me a lot, really.~
		=
		~C'mon. I feel a lot better. I've wasted enough of our time.~
		IF ~~ THEN EXIT
        END


/* LoveTalk 7 */

/* Must trigger in a city */
	IF ~~ THEN BEGIN MRLT7
		SAY ~(Without words, you surprise Imoen by sweeping her into your arms and kissing her intensely.)~ [ MRImRom2 ] 
		=
		~W-wow! What got into you?~
		IF ~~ THEN REPLY ~Just reminding you I still care! (Wink at her.)~ GOTO MRLT7-Nice
		IF ~~ THEN REPLY ~I needed that. I can't go too long without tasting your lips.~ GOTO MRLT7-Nice
		IF ~~ THEN REPLY ~You were too tempting, standing there with your crimson hair and your beautiful face.~ GOTO MRLT7-Nice
		IF ~~ THEN REPLY ~Let's *do* it, Imoen!~ GOTO MRLT7-Sex
		IF ~~ THEN REPLY ~What, can't I kiss you just because? Come, let's go.~ GOTO MRLT7-Exit
	END

	IF ~~ THEN BEGIN MRLT7-Exit
		SAY ~Well, yeah! And you have my permission to do it more often! (She smiles brightly.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT7-Sex
		SAY ~What? Hey, I'm not some... some horse you can ride whenever you want!~
		=
		~You've got a lotta nerve. Hmph.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT7-Nice
		SAY ~Haha! Oh <CHARNAME>, Don't hesitate to do it more often! (She grabs your nape, pulls your mouth closer to hers and then plants a kiss on your lips. When you finally part she smacks her lips loud enough for the noise to echo in the nearly empty streets.)~
		=
		~Y'know, I've been thinking...~
		=
		~D'ya like my haircut?~
		++ ~Huh? Did you change it or something?~ GOTO MRLT7-Hair
		++ ~Yes, I do. Why'd you ask?~ GOTO MRLT7-Hair
		++ ~Actually, I think you should let your beautiful hair grow.~ GOTO MRLT7-Grow
		++ ~To tell the truth, you should change your hairstyle.~ GOTO MRLT7-Change
		++ ~Well, I think a little shorter would look *even* better.~ GOTO MRLT7-Change
		++ ~Don't be so self-centered and move your arse... time flies.~ GOTO MRLT7-Boring
	END

	IF ~~ THEN BEGIN MRLT7-Boring
		SAY ~Aw, c'mon, don't you ever chit-chat even a little?~
		=
		~Hmph. Fine then.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT7-Change
		SAY ~Really? Well...~
		IF ~~ THEN GOTO MRLT7-Hair
	END

	IF ~~ THEN BEGIN MRLT7-Grow
		SAY ~That's good to hear! (She smiles at you.)~
		IF ~~ THEN GOTO MRLT7-Hair
	END

	IF ~~ THEN BEGIN MRLT7-Hair
		SAY ~I've been considering letting it grow. This hairstyle's gettin' kinda boring. I mean, I've worn it the same ever since... umm... since we left Baldur's Gate!~
		=
		~Before that it was a little longer, but I thought it made me look fat. Or maybe I *was* fat. And don't you *dare* say a word about that!~
		=
		~Remember back in Candlekeep? My hair was down to my waist at one point! It sure was hard to care for, though. But that was before the scissors incident, of course.~
		++ ~Uh, yeah... I remember that one. (Smile nervously.)~ GOTO MRLT7-Remember
		++ ~'Scissors incident'?~ GOTO MRLT7-Scissors
		IF ~InParty("Jan")~ THEN REPLY ~Imoen, how do you manage to say so much in so little time, and still say nothing at all? You're worse than Jan!~ GOTO MRLT7-Jan
		IF ~!InParty("Jan")~ THEN REPLY ~Imoen, how do you manage to say so much in so little time, and still say nothing at all?~ GOTO MRLT7-Jan
		++ ~Whatever. Look, I just wanted to kiss you, nothing more!~ GOTO MRLT7-Boring
	END

	IF ~~ THEN BEGIN MRLT7-Jan
		SAY ~Hey, others can eat swords or spit melon seeds thirty feet into the distance. I can talk!~
		=
		~So where was I? Oh yeah, you and your scissors!~
		IF ~~ THEN GOTO MRLT7-Scissors
	END

	IF ~~ THEN BEGIN MRLT7-Scissors
		SAY ~Don't tell me you don't remember!~
		IF ~~ THEN GOTO MRLT7-Remember
	END

	IF ~~ THEN BEGIN MRLT7-Remember
		SAY ~You can be really vengeful at times! And just because I 'accidentally' ruined your whole biographical essay about Alaundo, which by the way, was *only* a tenday's worth of work...~
		=
		~How could you attack my beautiful hair like that? I swear, I would have never thought-~
		IF ~InParty("Jan")~ THEN REPLY ~(Silence her with a kiss - you look around at the party and see that everyone is begging you to do so. except for Jan, who keeps track of the story with utmost attention.)~ GOTO MRLT7-Scissors2
		IF ~!InParty("Jan")
			NumInPartyGT(2)~ THEN REPLY ~(Silence her with a kiss - you look around at the party and see that everyone is begging you to do so.)~ GOTO MRLT7-Scissors2
		IF ~!NumInPartyGT(2)~ THEN REPLY ~(Silence her with a kiss for the sake of your ears.)~ GOTO MRLT7-Scissors2
		++ ~(Let her continue with her fascinating story.)~ GOTO MRLT7-Scissors3
		++ ~Argh, Imoen, be quiet!~ GOTO MRLT7-Boring
	END

	IF ~~ THEN BEGIN MRLT7-Scissors2
		SAY ~-that you'd do something like that- (She's rudely interrupted by your lips on hers) -mm... mmmmf!~
		=
		~(Although at first she tries to push you away, your insistence pays off. When you finally pull away, she smiles dazedly.)~
		= ~Uh... what were we talking about?~
		= ~Oh, um. Never mind. It was probably not important.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT7-Scissors3
		SAY ~-you'd do something like that to me!~
		=
		~Gosh, I still remember the look on Gorion's face when he found me chasing you all around the library, throwin' books at you. We spent all week having to reshelve them.~
		=
		~And then I had to cut it shoulder-length not to look like a complete freak. Y'know, I never got ya back for that. I still *could*, though. Better late than never, I suppose.~
		=
		~(She smiles brightly) Let's move on, shall we?~
		IF ~~ THEN EXIT
	END
END
/* LoveTalk 8 */

/* Must trigger in a subterranean environment at night */
APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT8
		SAY ~<CHARNAME>, I hate being in caverns and the like at night.~ [ MRImRom1 ]
		=
		~Okay, so there's no real difference, because we can't even tell whether it's night or not from in here. But STILL. It adds to the atmosphere.~
                = ~It just brings back a lot of memories, and none of them are pleasant.~
		IF ~~ THEN REPLY ~But now you are here, with me. (Embrace her in a protective gesture.)~ GOTO MRLT8-1
		IF ~~ THEN REPLY ~You know I want to get out of here as soon as we can. (Raise her chin with your finger so she will look into your eyes.)~ GOTO MRLT8-2
		IF ~~ THEN REPLY ~Memories aren't real. I am. (Kiss her lips gently.)~ GOTO MRLT8-2
		IF ~~ THEN REPLY ~Yeah, especially with that huge rat over there staring at us. It looks hungry.~GOTO MRLT8-Rat
	END

	IF ~~ THEN BEGIN MRLT8-1
		SAY ~(She snuggles happily into your arms) It's not that I feel scared. I'm more... uncomfortable, I guess. Like there's this strange feeling in the back of my head...~
		IF ~~ THEN GOTO MRLT8-Next
	END

	IF ~~ THEN BEGIN MRLT8-2
		SAY ~(She smiles as she wraps her arms around your waist and rests her head on your shoulder.)~
		=
		~It's not like I'm frightened or anything. I'm more...uncomfortable, I guess. Like there's this strange feeling in the back of my head...~
		IF ~~ THEN GOTO MRLT8-Next
	END

	IF ~~ THEN BEGIN MRLT8-Rat
		SAY ~(She shivers and looks nearby - there is indeed a rat, which quickly skitters away from the attention.)~
		= ~Not funny, <CHARNAME>! Rats are not funny. They are gross, disgusting, and ugly!~
		IF ~!IsValidForPartyDialog("Minsc")~ THEN GOTO MRLT8-NoBoo
		IF ~IsValidForPartyDialog("Minsc")~ THEN GOTO MRLT8-Boo
	END
END


CHAIN IMOEN2J MRLT8-Boo
~Not hamsters of course, Minsc! Hamsters are totally different. I love cute little Boo!~
== MINSCJ 
~And who wouldn't, I ask myself! I asked Boo too, but he didn't know either.~
== IMOEN2J 
~Oh, is that possible? I thought Boo knew everything!~
== MINSCJ 
~Boo is very smart, but Boo's head is very small. Boo says that it would not all fit.~
== IMOEN2J 
~Say, Minsc, could I play with him for a while? I love it when he runs up my arm!~
== MINSCJ 
~Of course! Boo loves little Imoen too!~
END IMOEN2J MRLT8-Boo2

APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT8-NoBoo
		SAY ~Ugh... rats! This place has loads of them. Why can't they be hamsters? I love hamsters. That one Minsc had was so adorable!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT8-Boo2
		SAY ~Alright! (They go play with the hamster like little children, leaving you standing where you are.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT8-Next
		SAY ~It's not very enjoyable... it shows up in dark places like this. Even with my soul back, this feeling continues to haunt me.~
		++ ~Then let me see if I can make that feeling go away. (Pull her close to you and passionately kiss her.)~ GOTO MRLT8-NotNow
		++ ~I hope that feeling will be gone with time, my love.~ GOTO MRLT8-Gone
		++ ~(Kiss her cheek) We better get moving. Keeping busy ought to keep those thoughts out of your mind.~ GOTO MRLT8-Gone
	END	

	IF ~~ THEN BEGIN MRLT8-Gone
		SAY ~I certainly hope so! And in the meantime, you better keep these stupid rats away from me...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT8-NotNow
		SAY ~Ugh! <CHARNAME>! *Now*? *Here*?~
		= ~(She pushes you away, giving you a light swat and a displeased look) Totally not the time or the place! Yeesh...~
		IF ~~ THEN EXIT
	END
END

/* LoveTalk 9 */

/* Can trigger anywhere, daytime */
APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT9
		SAY ~(You come closer to Imoen with the intention of saying something beautiful to her.)~ [ MRImRom5 ]
		IF ~~ THEN REPLY ~Imoen, your eyes are so profound I could fall into them and never reach the bottom.~ GOTO MRLT9Smooth
		IF ~~ THEN REPLY ~Imoen, every time you smile I find it brighter than a thousand suns.~ GOTO MRLT9Smooth
		IF ~~ THEN REPLY ~Imoen, when your soft hair blows in the breeze it resembles a singing stream that tirelessly flows, quenching the thirst of those that hunger for your love.~ GOTO MRLT9Smooth
		IF ~~ THEN REPLY ~Imoen, whenever I see your tits I drool myself dry.~ GOTO MRLT9Breasts
		IF ~~ THEN REPLY ~Imoen, your hair is pretty and you smell good.~ GOTO MRLT9Lame
	END

	IF ~~ THEN BEGIN MRLT9Lame
		SAY ~Huh? What kind of... of *thing* was that? Were you trying to compliment me or something?~
		=
		~You should take some lessons, <PRO_MANWOMAN>. I expect better next time. Hmph!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT9Breasts
		SAY ~(She bursts out laughing) W-what! In what kinda world does someone just walk up and says *that*! Yer such a goon.~
                = ~Yer such goon. So full of style and subtlety. Truly a <PRO_LADYLORD> of romance and decorum, arentcha.~
                = ~(Imoen walks away shaking her head, a greatly amused smile on her lips.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT9Smooth
		SAY ~Huh? (She smiles cheerily) You thought that one up all by yourself, just for me?~
		++ ~No, please, don't smile, you blind me with your brilliance!~ GOTO MRLT9Smooth2
		++ ~I didn't have to think much. Every time I look at you, all manner of compliments simply spring up in my mind, such is the majesty of your bearing.~ GOTO MRLT9Smooth2
		++ ~For you, I'd spill the last drop of my blood; the least I could do was think of something pretty to tell you.~ GOTO MRLT9Smooth2
		++ ~Yep! (Wait for your well-earned kiss.)~ GOTO MRLT9Wait
		++ ~Nope. I read it somewhere.~ GOTO MRLT9Lame2
	END

	IF ~~ THEN BEGIN MRLT9Lame2
		SAY ~Oh. Well, thanks anyway?~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT9Wait
		SAY ~Hey, thanks! That's really good. You should write it down somewhere.~
		=
		~(She smirks at your expectant look, then turns away. Apparently there will be no kiss today.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT9Smooth2
		SAY ~Oh, and they keep coming! (She slips her arms around your waist.)~
		++ ~It can't be any other way. Your very presence is worthy of a million praises. I simply tell you a fraction of those you really deserve.~ GOTO MRLT9Smooth3
		++ ~That is because it feels like the sun rises every time I feel you close, and the darkness of the night seizes me once you are away again.~ GOTO MRLT9Smooth3
		++ ~Yeah, well... (Look at her with longing eyes.)~ GOTO MRLT9Wait2
		++ ~Nope, they are over.~ GOTO MRLT9Lame2
	END

	IF ~~ THEN BEGIN MRLT9Wait2
		SAY ~Well, thanks! They are really good. You should write them down somewhere.~
		=
		~(She smirks at your expectant look, then turns away. Apparently there will be no kiss today.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT9Smooth3
		SAY ~(She touches your forehead with hers, whispering directly into your mouth.)~
		=
		~You smooth talker... is this what you're looking for?~
		=
		~(Imoen opens her mouth, waiting for you to do the same... teasing you, her tongue slowly approaches yours, once and again almost caressing you, but never actually reaching your lips.)~
		=
		~(She smiles, briefly licks your lower lip...then bites it, and kisses you with all the passion she can muster.)~
		=
		~(She titters after your lips part, then entangles her fingers with yours and encourages you to continue your affections. After an intense session of kisses, fondles and hugs, she leans in with a whisper.)~
		=
		~<CHARNAME>... the stars flicker with envy whenever you look at them, as the brightness of your eyes makes their own light seem pale by comparison.~
		=
		~Lay with me tonight under their jealous gaze...~
		IF ~OR(2) CheckStatGT(Player1,10,WIS) CheckStatGT(Player1,10,INT)~ THEN REPLY ~Hah. That's a quote from "The Stars to Dust". I read it too back in Candlekeep, you know.~ GOTO MRLT9Book
		++ ~I'll make that a promise.~ GOTO MRLT9Night
		++ ~Yeah, whatever you said! It sounded kinky enough.~ GOTO MRLT9Night
		++ ~Eh, don't know. Maybe?~ GOTO MRLT9Doubt
	END

	IF ~~ THEN BEGIN MRLT9Doubt
		SAY ~Hey, for once it was *I* that asked ya! Appreciate that, dammit.~
		=
		~Hmph. Forget about it then...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT9Night
		SAY ~(Imoen smiles at you with her eyes half closed and a look of anticipation on her face.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT9Book
		SAY ~(Imoen looks a little surprised) Dammit... I thought you wouldn't remember! Pfeh, way to ruin it.~
		=
		~Well, the offer still stands, y'know. Ya got me all thinkin' about naughty stuff, now.~
		++ ~Absolutely. You can consider it a date.~ GOTO MRLT9Night
		++ ~Yeah, of course! Kinky night with Imoen, here we go.~ GOTO MRLT9Night
		++ ~Eh, don't know. Not really in the mood.~ GOTO MRLT9Doubt
		IF ~~ THEN EXIT
	END
END

/* LoveTalk 10 */

/* Triggers in the morning, in a city */
APPEND IMOEN2J
	IF ~~ THEN BEGIN MRLT10
		SAY ~(Looking at her, a variety of desires assault your will.)~ [ MRImRom3 ]
		IF ~~ THEN REPLY ~(Approach her and kiss her nose playfully.)~ GOTO MRLT10a
		IF ~~ THEN REPLY ~(Embrace her lovingly.)~ GOTO MRLT10b
		IF ~~ THEN REPLY ~(Take her hand in yours, kneel before her and kiss it chivalrously.)~ GOTO MRLT10c
		IF ~~ THEN REPLY ~(Bow to her, throwing yourself to the ground in the middle of the street and comically worship her magnificence.)~ GOTO MRLT10d
		IF ~~ THEN REPLY ~(Sing her some love ditty you happen to remember.)~ GOTO MRLT10e
		IF ~~ THEN REPLY ~(Approach her, and without warning take her in your arms and kiss her by sweeping her off her feet.)~ GOTO MRLT10f
		IF ~~ THEN REPLY ~(Just shyly caress her cheek with your lips.)~ GOTO MRLT10g
		IF ~~ THEN REPLY ~(Embrace her from behind, touching some naughty areas while whispering something dirty in her ear.)~ GOTO MRLT10h
		IF ~~ THEN REPLY ~(Think of a breathtaking compliment to praise her beauty.)~ GOTO MRLT10i
		IF ~~ THEN REPLY ~(Just keep looking at her, admiring how her hair reflects the dawn's light.)~ GOTO MRLT10j
		IF ~~ THEN REPLY ~(Think the better of it and leave her alone.)~ EXIT
	END

	IF ~~ THEN BEGIN MRLT10a
		SAY ~Haha, hey there, that tickles...~
		=
		~Aw, is that all? I had hoped for more. (She pouts.)~
		IF ~~ THEN REPLY ~(Hug her lovingly.)~ GOTO MRLT10b
		IF ~~ THEN REPLY ~(Take her hand in yours, kneel before her and kiss it chivalrously.)~ GOTO MRLT10c
		IF ~~ THEN REPLY ~(Bow to her, throwing yourself to the ground in the middle of the street and comically worship her magnificence.)~ GOTO MRLT10d
		IF ~~ THEN REPLY ~(Sing her some love ditty you happen to remember.)~ GOTO MRLT10e
		IF ~~ THEN REPLY ~(Take her in your arms and kiss her by sweeping her off her feet.)~ GOTO MRLT10f
		IF ~~ THEN REPLY ~(Just shyly caress her cheek with your lips.)~ GOTO MRLT10g
		IF ~~ THEN REPLY ~(Embrace her, touching some naughty areas while whispering something dirty in her ear.)~ GOTO MRLT10h
		IF ~~ THEN REPLY ~(Think of a breathtaking compliment to praise her beauty.)~ GOTO MRLT10i
	END

	IF ~~ THEN BEGIN MRLT10b
		SAY ~MMmmh. Nice. Oh, you smell good. (She growls playfully, winking at you.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT10c
		SAY ~Haha, yer such a goon! Stand up, my valiant knight... you have earned a reward from your Queen.~
		=
		~(She gives you such a resounding kiss that the smack is clearly audible to everyone around you.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT10d
		SAY ~Hahaha! Yer such a nut! Get off the floor, you silly <PRO_MANWOMAN>, everyone's looking!~
		= ~I do appreciate that you know yer place, though...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT10e
		SAY ~(She makes a mien of disgust) Yikes, that's, like, the cheesiest thing. Why wouldja ever repeat that? The things people come up with...~
                = ~I appreciate the effort, though. Ten Relationship Points for you!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT10f
		SAY ~Whoa! (As the kiss lasts, she remains as if charmed in your arms, unable to do anything but enjoy such a pleasant present from you.)~
		=
		~Yer getting better and better at that...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT10g
		SAY ~(She giggles at your lack of determination.)~
		=
		~Oh c'mon, is that all? Give a girl a treat!~
		IF ~~ THEN REPLY ~(Hug her lovingly.)~ GOTO MRLT10b
		IF ~~ THEN REPLY ~(Take her hand in yours, kneel before her and kiss it chivalrously.)~ GOTO MRLT10c
		IF ~~ THEN REPLY ~(Bow to her, throwing yourself to the ground in the middle of the street and comically worship her magnificence.)~ GOTO MRLT10d
		IF ~~ THEN REPLY ~(Sing her some love ditty you happen to remember.)~ GOTO MRLT10e
		IF ~~ THEN REPLY ~(Take her in your arms and kiss her by sweeping her off her feet.)~ GOTO MRLT10f
		IF ~~ THEN REPLY ~(Embrace her, touching some naughty areas while whispering something dirty in her ear.)~ GOTO MRLT10h
		IF ~~ THEN REPLY ~(Think of a breathtaking compliment to praise her beauty.)~ GOTO MRLT10i
	END

	IF ~~ THEN BEGIN MRLT10h
		SAY ~H-hey! Hands off! We're in the middle of the street!~
		=
		~And I wouldn't do *that* even if you were the last <PRO_MANWOMAN> in the Realms, ya pervert. Off with ya now, off I say!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT10i
		SAY ~Oh, aren't you sweet? You thought of that all by yourself? (Imoen kisses your cheek and moves away with a smile plastered on her face.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT10j
		SAY ~<CHARNAME>? What are you looking at? Is there something wrong with my hair?~
		++ ~(Hug her lovingly.)~ GOTO MRLT10b
		++ ~(Take her hand in yours, kneel before her and kiss it chivalrously.)~ GOTO MRLT10c
		++ ~(Bow to her, throwing yourself to the ground in the middle of the street and worship her magnificence comically.)~ GOTO MRLT10d
		++ ~(Sing her some love poem you happen to remember.)~ GOTO MRLT10e
		++ ~(Approach her, and without warning take her in your arms and kiss her sweeping her off her feet.)~ GOTO MRLT10f
		IF ~~ THEN REPLY ~(Embrace her, touching some naughty areas while whispering something dirty in her ear.)~ GOTO MRLT10h
		++ ~(Think of a breathtaking compliment to praise her beauty.)~ GOTO MRLT10i
	END

	/* LoveTalk 11 */

	/* Must trigger in a dungeon, cave, or sewer */

	IF ~~ THEN BEGIN MRLT11
		SAY ~(Imoen looks around at the grim surroundings.) You know <CHARNAME>, I'm not really in the mood to get all soppy right now.~
		=
		~I mean... it must be near dawn, I'm sleepy, my head hurts, and this place is crawling with nasties. It isn't very romantic, y'know?~
		= ~We can spend some time together when we get outta here, okay? I promise.~
		++ ~Of course, Imoen. I'll get us out of here as soon as I can.~ GOTO MRLT11a
		++ ~As you wish, 'Your Cuteness'. (Kiss the back of her hand.)~ GOTO MRLT11b
		++ ~Aww... oh, alright.~ GOTO MRLT11c
	END

	IF ~~ THEN BEGIN MRLT11a
		SAY ~(She gives you a tired smile.)~
		= ~It's good to hear you say that, <CHARNAME>.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT11b
		SAY ~(She gives you a tired smile as you do that.)~
		= ~Oh, you're terrible...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRLT11c
		SAY ~Oh, c'mon, don't be impatient! (She smiles.)~
		= ~I know ya can't resist me an' all, but yer just gonna have to try!~
		IF ~~ THEN EXIT
	END
END
